Skip to main content
GET
/
settings
/
{name}
Get a single setting by name
curl --request GET \
  --url https://demo.enneo.ai/api/mind/settings/{name} \
  --header 'Authorization: Bearer <token>'
{
  "name": "ticketingSystem",
  "category": "email",
  "group": "Generic E-Mail Settings",
  "label": "Ticketing system in use",
  "description": "Enneo supports multiple ticketing systems. Please select one.",
  "type": "select",
  "config": null,
  "value": "internal",
  "defaultValue": "internal"
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT-based authentication

Path Parameters

name
string
required

The name of the setting to retrieve

Query Parameters

showSecrets
boolean

Whether to show secrets in the result

Response

The requested setting object.

Settings object

name
string
Example:

"ticketingSystem"

category
string
Example:

"email"

group
string | null
Example:

"Generic E-Mail Settings"

label
string
Example:

"Ticketing system in use"

description
string
Example:

"Enneo supports multiple ticketing systems. Please select one."

type
enum<string>

Format in which the FE should render this setting. Follows the enneo standard dynamic intent form options specified in Notion

Available options:
text,
date,
radio,
number,
integer,
checkbox,
textarea,
select,
json,
executor,
executors,
multiselect
Example:

"select"

config
object

Additional configuration properties that are dependant on type or rarely used

value
Example:

"internal"

defaultValue
Example:

"internal"